int main(void)
{
    /* Initialized data */
    static float a[16] /* was [4][4] */ = { 1.f,.42f,.54f,.66f,.42f,1.f,.32f,
                                 .44f,.54f,.32f,1.f,.22f,.66f,.44f,.22f,1.f };
    /* Local variables */
    static int ierr;
    extern int afg4r_c(float *, int *, int *, int *, float *, float *, int *);
    static int i__, m, n, nlead[4];
    static float z__[4], rcond;

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]

    m = 4;
    n = m;
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n  %16.7e %16.7e \n %16.7e %16.7e \n",
                  a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    afg4r_c(a, &m, &n, nlead, &rcond, z__, &ierr);

    printf("\n  %5i %5i %5i %5i \n", nlead[0], nlead[1], nlead[2], nlead[3]);
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n  %16.7e %16.7e \n %16.7e %16.7e \n",
                  a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3), a_ref(i__, 4));
    }
    printf("\n  %5i %16.7e \n", ierr, rcond);
    return 0;
} /* main */

#undef a_ref
